<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-05 09:21
// +----------------------------------------------------------------------

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\SeretKeyMiddleware;
use think\facade\Route;

Route::group('pub', function () {
    //获取皮肤模板列表
    Route::rule('getShowTemplateList','Pub/getShowTemplateList');
    //获取模板详情
    Route::rule('getShowTemplateItem','Pub/getShowTemplateItem');
    //获取服务类型列表
    Route::rule('getServiceTypeList','Pub/getServiceTypeList');
    //获取收费时长类型
    Route::rule('getServiceTimeTypeList','Pub/getServiceTimeTypeList');
    //获取轮播图列表
    Route::rule('getBannerList','Pub/getBannerList');
    //获取支付类型
    Route::rule('getPayTypeData','Pub/getPayTypeData');
    //获取用户服务类型
    Route::rule('getUserWorkTypeList','Pub/getUserWorkTypeList');
    //获取用户服务标签列表
    Route::rule('getServiceLabelList','Pub/getServiceLabelList');
    //获取其他用户名片详情
    Route::rule('getCommonUserCardInfo','Pub/getCommonUserCardInfo');
    //获取分享信息
    Route::rule('getShareInfo','Pub/getShareInfo');
    

    //bug提交
    Route::rule('appBugSub', 'Pub/appBugSub');
    //接口测试
    Route::rule('appTest', 'Pub/appTest');
    
})->middleware([
    AllowOriginMiddleware::class,
    SeretKeyMiddleware::class
]);